Page MenuHomePhabricator

PHP Deprecated Warning: Array and string offset access syntax with curly braces is deprecated
Closed, ResolvedPublicBUG REPORT

Description

Curly brace syntax for accessing array elements and string offsets has been deprecated in PHP 7.4: https://wiki.php.net/rfc/deprecate_curly_braces_array_access

$hash2{$i} should be $hash2[$i]

PHP Deprecated: Array and string offset access syntax with curly braces is deprecated in ./vendor/mediawiki/oauthclient/src/Client.php on line 414

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2019, 12:12 PM
Aklapper renamed this task from Deprecated php to PHP Deprecated Warning: Array and string offset access syntax with curly braces is deprecated.Aug 27 2019, 12:53 PM
Aklapper added a project: good first task.
Tgr added a subscriber: Tgr.Aug 27 2019, 5:58 PM

Would you like to submit a patch? The affected component is oauthclient-php.

Ricordisamoa updated the task description. (Show Details)Sep 2 2019, 9:03 AM
Ricordisamoa added a project: PHP 7.4 support.
Ricordisamoa added a subscriber: Ricordisamoa.

Change 537227 had a related patch set uploaded (by Reedy; owner: GlazerMann):
[mediawiki/oauthclient-php@master] Deprecated

https://gerrit.wikimedia.org/r/537227

Change 537227 merged by jenkins-bot:
[mediawiki/oauthclient-php@master] Fix code deprecated in PHP 7.4

https://gerrit.wikimedia.org/r/537227

Reedy added a subscriber: Reedy.Sep 17 2019, 12:04 AM

Patches imported from github, merged on gerrit

Needs a release tagging in the library, and then bumping in MediaWiki-extensions-OAuthAuthentication (and any other usages)

@Reedy What more is remaining in this task to be done? Is this still a good first task? Please help update the task description with some clear next steps. Thank you!

$ git push --tags
Enumerating objects: 1, done.
Counting objects: 100% (1/1), done.
Writing objects: 100% (1/1), 300 bytes | 150.00 KiB/s, done.
Total 1 (delta 0), reused 0 (delta 0)
remote: Processing changes: done    
To ssh://gerrit.wikimedia.org:29418/mediawiki/oauthclient-php
 * [new tag]         1.1.0 -> 1.1.0

Change 573554 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/OAuthAuthentication@master] Bump mediawiki/oauthclient to ~1.1.0

https://gerrit.wikimedia.org/r/573554

Change 573554 merged by jenkins-bot:
[mediawiki/extensions/OAuthAuthentication@master] Bump mediawiki/oauthclient to ~1.1.0

https://gerrit.wikimedia.org/r/573554

Reedy closed this task as Resolved.Mar 14 2020, 10:08 PM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.